require "VFERedux_DistroFuncs"

VFEDistro.Insert("Base.Pistol", 0.05, "Base.Tec9")
VFEDistro.Insert("Base.Pistol2", 0.05, "Base.MK23SOCOM")
VFEDistro.InsertMany("Base.Revolver_Short", 0.015, "Base.MK2", "Base.MK2SD")
VFEDistro.InsertMany("Base.Pistol", 0.05, "Base.Glock", "Base.Glock18", "Base.P229", "Base.CZ75")

VFEDistro.Insert("Base.9mmClip", 0.05, "Base.9mmClip20")
VFEDistro.InsertMany("Base.9mmClip", 0.05, "Base.9mmClip13", "Base.9mmClip16", "Base.9mmClip17")
VFEDistro.Insert("Base.45Clip", 0.05, "Base.45Clip12")
VFEDistro.Insert("Base.9mmClip", 0.05, "Base.22ClipPistol")

VFEDistro.InsertMany("Base.Pistol3", 0.025, "Base.MP5", "Base.MP5SD", "Base.MP5Unfolded")
VFEDistro.InsertMany("Base.Pistol2", 0.035, "Base.MAC10Unfolded", "Base.UziUnfolded")
VFEDistro.Insert("Base.44Clip", 0.03, "Base.9mmClip30")
VFEDistro.InsertMany("Base.45Clip", 0.045, "Base.9mmClip32", "Base.45Clip32")

VFEDistro.InsertMany("Base.Shotgun", 0.055, "Base.Shotgun2", "Base.ShotgunSemi", "Base.ShotgunSemi2")
VFEDistro.Insert("Base.Shotgun", 0.015, "Base.Spas12")
VFEDistro.Insert("Base.Shotgun", 0.001, "Base.ShotgunSilent")
VFEDistro.Insert("Base.DoubleBarrelShotgun", 0.05, "Base.M2400_Shotgun")

VFEDistro.InsertMany("Base.VarmintRifle", 0.30, "Base.CampCarbine", "Base.LeverRifle", "Base.LeverRifle2")

VFEDistro.InsertMany("Base.AssaultRifle2", 0.10, "Base.AK47Unfolded", "Base.AK47")
VFEDistro.InsertMany("Base.AssaultRifle2", 0.15, "Base.SKSSpiker", "Base.SKS", "Base.MAK90")
VFEDistro.Insert("Base.VarmintRifle", 0.15, "Base.1022")
VFEDistro.InsertMany("Base.HuntingRifle", 0.1, "Base.Mini14Unfolded", "Base.Mini14")
VFEDistro.InsertMany("Base.AssaultRifle", 0.05, "Base.FAL", "Base.FALClassic", "Base.AssaultRifleM1")
VFEDistro.InsertMany("Base.AssaultRifle", 0.05, "Base.CAR15", "Base.CAR15D", "Base.AssaultRifleMasterkey")
VFEDistro.Insert("Base.AssaultRifle", 0.05, "Base.M60MMG")
VFEDistro.Insert("Base.HuntingRifle", 0.02, "Base.SniperRifle")
VFEDistro.Insert("Base.HuntingRifle", 0.02, "Base.308Clip")

VFEDistro.Insert("Base.M14Clip", 0.05, "Base.762Clip")
VFEDistro.Insert("Base.M14Clip", 0.05, "Base.223Clip20")
VFEDistro.Insert("Base.45Clip", 0.1, "Base.22ClipRifle")
VFEDistro.Insert("Base.556Clip", 0.05, "Base.FALClip")
VFEDistro.Insert("Base.556Clip", 0.05, "Base.M60Belt")

VFEDistro.Insert("Base.HuntingKnife", 0.5, "Base.M16Bayonet")
VFEDistro.Insert("Base.EntrenchingTool", 0.1, "Base.EntrenchingTool_Blade")
VFEDistro.Insert("Base.EntrenchingTool", 0.1, "Base.EntrenchingToolBlack_Blade")
VFEDistro.InsertMany("Base.NailsBox", 0.1, "Base.FireKlean", "Base.CleaningKit")
VFEDistro.Insert("Base.Whetstone", 0.05, "Base.M60_Link_Die")

VFEDistro.InsertMany("Base.AmmoStraps", 0.3, "Base.Sling", "Base.Sling2", "Base.Bipod", "Base.ShellHolder",
    "Base.FiberglassStock", "Base.ShellStraps")
VFEDistro.Insert("Base.AssaultRifle2", 0.05, "Base.M60BrassCatcher")

VFEDistro.Insert("Base.308Bullets", 0.15, "Base.762Bullets")
VFEDistro.Insert("Base.308Box", 0.05, "Base.762Box")
VFEDistro.Insert("Base.308Box", 0.01, "Base.M60_Links_Box")
VFEDistro.Insert("Base.308Carton", 0.01, "Base.762Pack")
VFEDistro.Insert("Base.308Carton", 0.05, "Base.762Case")
VFEDistro.Insert("Base.308Carton", 0.0025, "Base.762Crate")

VFEDistro.Insert("Base.556Carton", 0.01, "Base.556Pack")
VFEDistro.Insert("Base.556Carton", 0.005, "Base.556Case")
VFEDistro.Insert("Base.556Carton", 0.0025, "Base.556Crate")

VFEDistro.Insert("Base.556Bullets", 0.25, "Base.223Bullets")
VFEDistro.Insert("Base.556Box", 0.25, "Base.223Box")
VFEDistro.Insert("Base.556Carton", 0.1, "Base.223Pack")
VFEDistro.Insert("Base.556Carton", 0.05, "Base.223Case")
VFEDistro.Insert("Base.556Carton", 0.025, "Base.223Crate")

VFEDistro.Insert("Base.308Carton", 0.1, "Base.308Pack")
VFEDistro.Insert("Base.308Carton", 0.05, "Base.308Case")
VFEDistro.Insert("Base.308Carton", 0.025, "Base.308Crate")

VFEDistro.Insert("Base.Bullets9mm", 0.25, "Base.22Bullets")
VFEDistro.Insert("Base.Bullets9mmBox", 0.25, "Base.22Box")
VFEDistro.Insert("Base.Bullets9mmCarton", 0.1, "Base.22Pack")
VFEDistro.Insert("Base.Bullets9mmCarton", 0.05, "Base.22Case")
VFEDistro.Insert("Base.Bullets9mmCarton", 0.025, "Base.22Crate")

VFEDistro.Insert("Base.Bullets9mmCarton", 0.1, "Base.9mmPack")
VFEDistro.Insert("Base.Bullets9mmCarton", 0.05, "Base.9mmCase")
VFEDistro.Insert("Base.Bullets9mmCarton", 0.025, "Base.9mmCrate")

VFEDistro.Insert("Base.Bullets38Carton", 0.1, "Base.38Pack")
VFEDistro.Insert("Base.Bullets38Carton", 0.05, "Base.38Case")
VFEDistro.Insert("Base.Bullets38Carton", 0.025, "Base.38Crate")

VFEDistro.Insert("Base.Bullets44Carton", 0.1, "Base.44Pack")
VFEDistro.Insert("Base.Bullets44Carton", 0.05, "Base.44Case")
VFEDistro.Insert("Base.Bullets44Carton", 0.025, "Base.44Crate")

VFEDistro.Insert("Base.Bullets45Carton", 0.1, "Base.45Pack")
VFEDistro.Insert("Base.Bullets45Carton", 0.05, "Base.45Case")
VFEDistro.Insert("Base.Bullets45Carton", 0.025, "Base.45Crate")

VFEDistro.Insert("Base.ShotgunShellsCarton", 0.1, "Base.ShotgunShellsPack")
VFEDistro.Insert("Base.ShotgunShellsCarton", 0.05, "Base.ShotgunShellsCase")
VFEDistro.Insert("Base.ShotgunShellsCarton", 0.025, "Base.ShotgunShellsCrate")

VFEDistro.Insert("Base.556Box", 0.25, "Base.556BattlePack")

VFEDistro.SetChanceMany(
    0.3,
    "Base.AssaultRifle",
    "Base.AssaultRifle2",
    "Base.DoubleBarrelShotgun",
    "Base.DoubleBarrelShotgunSawnoff",
    "Base.HuntingRifle",
    "Base.Pistol",
    "Base.Pistol2",
    "Base.Pistol3",
    "Base.Revolver",
    "Base.Revolver_Long",
    "Base.Revolver_Short",
    "Base.Shotgun",
    "Base.ShotgunSawnoff",
    "Base.VarmintRifle",
    "Base.44Clip",
    "Base.45Clip",
    "Base.9mmClip",
    "Base.M14Clip",
    "Base.556Clip",
    "Base.x2Scope",
    "Base.x4Scope",
    "Base.x8Scope",
    "Base.AmmoStraps",
    "Base.TritiumSights",
    "Base.RecoilPad",
    "Base.Laser",
    "Base.RedDot",
    "Base.GunLight",
    "Base.ChokeTubeFull",
    "Base.ChokeTubeImproved"
)
